Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest
Class TestFinder.Fault

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.javatest.TestFinder.Fault

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  TestFinder

    public static class TestFinder.Fault

extends java.lang.Exception

This exception is to report serious problems that occur while finding tests.

See Also:
  Serialized Form

Constructor Summary
`TestFinder.Fault(I18NResourceBundle i18n, java.lang.String msgKey)` Create a Fault.
`TestFinder.Fault(I18NResourceBundle i18n, java.lang.String msgKey, java.lang.Object arg)` Create a Fault.
`TestFinder.Fault(I18NResourceBundle i18n, java.lang.String msgKey, java.lang.Object[] args)` Create a Fault.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestFinder.Fault

    public TestFinder.Fault(I18NResourceBundle i18n,
                            java.lang.String msgKey)

  Create a Fault.

  Parameters:
    `i18n` - A resource bundle in which to find the detail message.
    `msgKey` - The key for the detail message.

### TestFinder.Fault

    public TestFinder.Fault(I18NResourceBundle i18n,
                            java.lang.String msgKey,
                            java.lang.Object arg)

  Create a Fault.

  Parameters:
    `i18n` - A resource bundle in which to find the detail message.
    `msgKey` - The key for the detail message.
    `arg` - An argument to be formatted with the detail message by `MessageFormat.format(java.lang.Object[], java.lang.StringBuffer, java.text.FieldPosition)`

### TestFinder.Fault

    public TestFinder.Fault(I18NResourceBundle i18n,
                            java.lang.String msgKey,
                            java.lang.Object[] args)

  Create a Fault.

  Parameters:
    `i18n` - A resource bundle in which to find the detail message.
    `msgKey` - The key for the detail message.
    `args` - An array of arguments to be formatted with the detail message by `MessageFormat.format(java.lang.Object[], java.lang.StringBuffer, java.text.FieldPosition)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.